
#include "Headers/ClearVaraible.H"

////////////////////////////////////////////////////////////////////////

extern long FileSize(char *File2Size)
{
    FILE *fp;
    static long size;
    size = 0;

    if((fp = fopen(File2Size,"r+b")) == NULL)
    {
        Error("Error Sizing File. Error 16.");
        if(fp)fclose(fp);
        return 0;
    }
    while(!feof(fp))
    {
        fgetc(fp);
        if(!feof(fp))
        {
            size++;
        }
        if(ferror(fp))
        {
            Error("Error Sizing File. Error 17.");
            if(fp)fclose(fp);
            return 0;
        }
    }
    if(fp)fclose(fp);
    return size;
}

/////////////////////////////////////////////////////////////////////

char *Reverse_String (char *S)
{
    static int StrCnt;
    static LPSTR StrFunc[16];
    if (++StrCnt==16) StrCnt = 0;
    if (StrFunc[StrCnt]) free (StrFunc[StrCnt]);
    StrFunc[StrCnt] = (char*) malloc (strlen(S)+256);
    memset (StrFunc[StrCnt],0,strlen(S)+256);
    sprintf(StrFunc[StrCnt],"%s",S);
    char *p1, *p2;
    if ( ! S || ! *S) return S;
    for (p1=StrFunc[StrCnt],p2=StrFunc[StrCnt]+strlen(StrFunc[StrCnt])-1;p2 > p1;++p1,--p2)
    {
        *p1 ^= *p2;
        *p2 ^= *p1;
        *p1 ^= *p2;
    }
    return StrFunc[StrCnt];
}

/////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////

extern int Get_NumberOfFiles(char CountFileTemp[257])
{
    static int LocalPlaceHolder;
    LocalPlaceHolder = 0;

    while(1)
    {
        while(CountFileTemp[LocalPlaceHolder] != '\0')
        {
            LocalPlaceHolder++;
        }
        LocalPlaceHolder++;
        if(CountFileTemp[LocalPlaceHolder] == '\0')break;
        Number_Of_Files++;
    }
    return Number_Of_Files;
}

///////////////////////////////////////////////////////////////////////

extern char *Get_CurrentDirectory(void)
{
    static int LocalLoop;
    static int StrCnt;
    StrCnt = 0;
    static LPSTR StrFunc[16];
    LocalLoop = 0;
    while(LocalLoop < sizeof(StrFunc))
    {
        StrFunc[LocalLoop] = '\0';
        LocalLoop++;
    }
    if (++StrCnt==16) StrCnt = 0;
    if (StrFunc[StrCnt]) free (StrFunc[StrCnt]);
    StrFunc[StrCnt] = (char*) malloc (2048);
    memset (StrFunc[StrCnt],0,2048);
    GetCurrentDirectory (1024,StrFunc[StrCnt]);
    return StrFunc[StrCnt];
}

////////////////////////////////////////////////////////////////////////


